#
# slpk02.rb
#
# $Id: slpk02.rb,v 1.1 2000/11/21 03:02:09 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn iws

DCL::slmgn(0.0, 0.0, 0.05, 0.05)                      # <-- マージン設定
DCL::slrat(1.0, 1.0)                                  # <-- 縦横比設定
DCL::slsttl('FIGURE TITLE', 'T',  0.0, -1.0, 0.02, 1) # <-+
DCL::slsttl('page:#PAGE',   'B',  1.0,  1.0, 0.02, 2) # <-+ タイトル設定
DCL::slsttl('PROG.NAME',    'B', -1.0,  1.0, 0.02, 3) # <-+

DCL::sgfrm                          # <-- ここで実際にタイトルが書かれる
DCL::slpwwr(1)
DCL::sgtxzv(0.5, 0.5, 'FIGURE', 0.05, 0, 0, 1)

DCL::sgcls

